package cn.iocoder.yudao.module.bpm.controller.admin.oa.business.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 出差流程信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaBusinessPageReqVO extends PageParam {

    @Schema(description = "出差表单主键", example = "1")
    private Long id;

    @Schema(description = "uuid", example = "7614")
    private String businessId;

    @Schema(description = "出差人id", example = "1")
    private Long employeeId;

    @Schema(description = "出差员工姓名", example = "赵六")
    private String employeeName;

    @Schema(description = "出差员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "13581")
    private Long userId;

    @Schema(description = "部门id", example = "708")
    private Long deptId;

    @Schema(description = "职位")
    private String position;

    @Schema(description = "出差事由", example = "不香")
    private String reason;

    @Schema(description = "出差目的地")
    private String destination;

    @Schema(description = "出差开始日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] startDate;

    @Schema(description = "出差结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] endDate;

    @Schema(description = "出差天数（d）")
    private String day;

    @Schema(description = "出差预算费用，单位（元）")
    private BigDecimal estimatedCost;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "30698")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回、6已撤回）", example = "1")
    private String auditStatus;

    @Schema(description = "当前审核人员工id", example = "1086")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工姓名", example = "芋艿")
    private String currentAuditEmployeeName;

    @Schema(description = "当前审核人用户id", example = "12947")
    private Long currentAuditUserId;

    @Schema(description = "最后审核时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] finalAuditDate;

    @Schema(description = "发起人选择的审批人")
    private String startUserSelectAssignees;

    @Schema(description = "申请人员工id", example = "12667")
    private Long applyEmployeeId;

    @Schema(description = "申请人员工姓名", example = "芋艿")
    private String applyEmployeeName;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}