package cn.iocoder.yudao.module.bpm.controller.admin.oa.conversion.vo;

import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskRespVO;
import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import cn.iocoder.yudao.module.system.api.user.dto.AdminUserRespDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 转正流程信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaConversionRespVO {

    @Schema(description = "转正表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "27266")
    @ExcelProperty("转正表单主键")
    private Long id;

    @Schema(description = "uuid", example = "8575")
    @ExcelProperty("uuid")
    private String conversionId;

    @Schema(description = "转正人id", example = "8274")
    @ExcelProperty("转正人id")
    private Long employeeId;

    @Schema(description = "转正员工姓名", example = "李四")
    @ExcelProperty("转正员工姓名")
    private String employeeName;

    @Schema(description = "转正员工手机号", example = "1394920000")
    @ExcelProperty("转正员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "23689")
    @ExcelProperty("用户账号id")
    private Long userId;

    @Schema(description = "部门id", example = "14341")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门名称")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "入职日期")
    @ExcelProperty("入职日期")
    private String entryDate;

    @Schema(description = "试用期结束日期")
    @ExcelProperty("试用期结束日期")
    private String probationEndDate;

    @Schema(description = "转正日期")
    @ExcelProperty("转正日期")
    private String conversionDate;

    @Schema(description = "转正申请理由", example = "不香")
    @ExcelProperty("转正申请理由")
    private String conversionReason;

    @Schema(description = "工作总结")
    @ExcelProperty("工作总结")
    private String workSummary;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "10952")
    @ExcelProperty("流程实例id")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "2")
    @ExcelProperty("审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）")
    private String auditStatus;

    @Schema(description = "当前审核人用户id", example = "13372")
    @ExcelProperty("当前审核人用户id")
    private Long currentAuditUserId;

    @Schema(description = "当前审核人员工id", example = "20635")
    @ExcelProperty("当前审核人员工id")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工姓名")
    @ExcelProperty("当前审核人员工姓名")
    private String currentAuditEmployeeName;

    @Schema(description = "最后审核时间")
    @ExcelProperty("最后审核时间")
    private LocalDateTime finalAuditDate;

    @Schema(description = "申请时间")
    @ExcelProperty("申请时间")
    private LocalDateTime createTime;

    @Schema(description = "申请人id")
    @ExcelProperty("申请人id")
    private Long applyEmployeeId;

    @Schema(description = "申请人姓名")
    @ExcelProperty("申请人姓名")
    private String applyEmployeeName;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

    @Schema(description = "审批记录列表")
    private List<BpmTaskRespVO> auditRecordList;

    @Schema(description = "审批人员列表")
    private List<AdminUserRespDTO> auditUserList;

    @Schema(description = "当前用户待处理的任务id")
    private String taskId;

}