package cn.iocoder.yudao.module.bpm.controller.admin.oa.entry.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskRespVO;
import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import cn.iocoder.yudao.module.system.api.user.dto.AdminUserRespDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import java.util.List;

import com.alibaba.excel.annotation.*;
import org.springframework.format.annotation.DateTimeFormat;

@Schema(description = "管理后台 - 入职流程信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaEntryRespVO {

    @Schema(description = "入职表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "27428")
    @ExcelProperty("入职表单主键")
    private Integer id;

    @Schema(description = "uuid", example = "13471")
    @ExcelProperty("uuid")
    private String entryId;

    @Schema(description = "入职人", example = "李四")
    @ExcelProperty("入职人")
    private String entryName;

    @Schema(description = "部门", example = "2937")
    @ExcelProperty("部门")
    private Long deptId;

    @Schema(description = "部门名称")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "员工类型", example = "1")
    @ExcelProperty("员工类型")
    private String employeeType;

    @Schema(description = "性别")
    @ExcelProperty("性别")
    private String gender;

    @Schema(description = "出生日期")
    @ExcelProperty("出生日期")
    private String birthday;

    @Schema(description = "联系电话")
    @ExcelProperty("联系电话")
    private String contactNumber;

    @Schema(description = "电子邮箱")
    @ExcelProperty("电子邮箱")
    private String email;

    @Schema(description = "教育背景")
    @ExcelProperty("教育背景")
    private String education;

    @Schema(description = "工作经验")
    @ExcelProperty("工作经验")
    private String workExperience;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "最后审核时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("最后审核时间")
    private String finalAuditDate;

    @Schema(description = "入职日期")
    @ExcelProperty("入职日期")
    private String entryDate;

    @Schema(description = "流程实例id", example = "9407")
    @ExcelProperty("流程实例id")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5驳回）", example = "2")
    @ExcelProperty("审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5驳回）")
    private String auditStatus;

    @Schema(description = "当前审核人用户id")
    @ExcelProperty("当前审核人用户id")
    private Long currentAuditUserId;

    @Schema(description = "当前审核人员工id")
    @ExcelProperty("当前审核人员工id")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工uuid")
    @ExcelProperty("当前审核人员工uuid")
    private String currentAuditEmployeeName;

    @Schema(description = "数据来源，0流程添加、1手动添加", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "申请人id")
    @ExcelProperty("申请人id")
    private Long applyEmployeeId;

    @Schema(description = "申请人姓名")
    @ExcelProperty("申请人姓名")
    private String applyEmployeeName;

    @Schema(description = "创建者")
    @ExcelProperty("创建者")
    private String creator;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

    @Schema(description = "审批记录列表")
    private List<BpmTaskRespVO> auditRecordList;

    @Schema(description = "审批人员列表")
    private List<AdminUserRespDTO> auditUserList;

    @Schema(description = "当前用户待处理的任务id")
    private String taskId;

}