package cn.iocoder.yudao.module.bpm.controller.admin.oa.out.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 公务外出流程信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaOutPageReqVO extends PageParam {

    @Schema(description = "uuid", example = "9006")
    private String outId;

    @Schema(description = "外出人id", example = "1")
    private Long employeeId;

    @Schema(description = "外出员工姓名", example = "李四")
    private String employeeName;

    @Schema(description = "外出员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "32289")
    private Long userId;

    @Schema(description = "部门id", example = "31013")
    private Long deptId;

    @Schema(description = "员工职位")
    private String position;

    @Schema(description = "外出事由", example = "不香")
    private String reason;

    @Schema(description = "外出地点")
    private String destination;

    @Schema(description = "外出开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] startDate;

    @Schema(description = "外出结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] endDate;

    @Schema(description = "外出时长，单位（小时）")
    private String hour;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "8014")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "2")
    private String auditStatus;

    @Schema(description = "当前审核人员工id", example = "11675")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工姓名", example = "张三")
    private String currentAuditEmployeeName;

    @Schema(description = "当前审核人用户id", example = "29595")
    private Long currentAuditUserId;

    @Schema(description = "最后审核时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] finalAuditDate;

    @Schema(description = "申请人员工id", example = "1")
    private Long applyEmployeeId;

    @Schema(description = "申请人员工姓名", example = "王五")
    private String applyEmployeeName;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}