package cn.iocoder.yudao.module.bpm.controller.admin.oa.purchase.vo;

import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskRespVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.purchase.OaPurchaseObjDO;
import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import cn.iocoder.yudao.module.system.api.user.dto.AdminUserRespDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 采购流程信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaPurchaseRespVO {

    @Schema(description = "表单主键", example = "1")
    @ExcelProperty("表单主键")
    private Long id;

    @Schema(description = "采购申请人id", example = "1")
    @ExcelProperty("采购申请人id")
    private Long employeeId;

    @Schema(description = "采购申请员工姓名", example = "李四")
    @ExcelProperty("采购申请员工姓名")
    private String employeeName;

    @Schema(description = "采购申请员工手机号")
    @ExcelProperty("采购申请员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "15248")
    @ExcelProperty("用户账号id")
    private Long userId;

    @Schema(description = "部门id", example = "32213")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门名称")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "员工职位")
    @ExcelProperty("员工职位")
    private String position;

    @Schema(description = "总预算金额，单位（元）")
    @ExcelProperty("总预算金额，单位（元）")
    private BigDecimal totalBudget;

    @Schema(description = "预期供应商", example = "赵六")
    @ExcelProperty("预期供应商")
    private String supplierName;

    @Schema(description = "采购事由")
    @ExcelProperty("采购事由")
    private String reason;

    @Schema(description = "流程实例id", example = "27318")
    @ExcelProperty("流程实例id")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "1")
    @ExcelProperty("审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）")
    private String auditStatus;

    @Schema(description = "当前审核人员工id", example = "6900")
    @ExcelProperty("当前审核人员工id")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工姓名", example = "赵六")
    @ExcelProperty("当前审核人员工姓名")
    private String currentAuditEmployeeName;

    @Schema(description = "当前审核人用户id", example = "1010")
    @ExcelProperty("当前审核人用户id")
    private Long currentAuditUserId;

    @Schema(description = "最后审核时间")
    @ExcelProperty("最后审核时间")
    private LocalDateTime finalAuditDate;

    @Schema(description = "申请人员工id", example = "30637")
    @ExcelProperty("申请人员工id")
    private Long applyEmployeeId;

    @Schema(description = "申请人员工姓名", example = "李四")
    @ExcelProperty("申请人员工姓名")
    private String applyEmployeeName;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "采购流程信息子表列表")
    private List<OaPurchaseObjDO> oaPurchaseObjs;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

    @Schema(description = "审批记录列表")
    private List<BpmTaskRespVO> auditRecordList;

    @Schema(description = "审批人员列表")
    private List<AdminUserRespDTO> auditUserList;

    @Schema(description = "当前用户待处理的任务id")
    private String taskId;

}