package cn.iocoder.yudao.module.bpm.controller.admin.oa.receive.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 领用流程信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaReceivePageReqVO extends PageParam {

    @Schema(description = "领用人id", example = "1")
    private Long employeeId;

    @Schema(description = "领用员工姓名", example = "赵六")
    private String employeeName;

    @Schema(description = "领用员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "13756")
    private Long userId;

    @Schema(description = "部门id", example = "17336")
    private Long deptId;

    @Schema(description = "部门名称")
    private String deptName;

    @Schema(description = "员工职位")
    private String position;

    @Schema(description = "领用日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private String[] receiveDate;

    @Schema(description = "领用原因", example = "不喜欢")
    private String reason;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "13073")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "2")
    private String auditStatus;

    @Schema(description = "当前审核人员工id", example = "10618")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工姓名", example = "王五")
    private String currentAuditEmployeeName;

    @Schema(description = "当前审核人用户id", example = "744")
    private Long currentAuditUserId;

    @Schema(description = "最后审核时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] finalAuditDate;

    @Schema(description = "申请人员工id", example = "1")
    private Long applyEmployeeId;

    @Schema(description = "申请人员工姓名", example = "李四")
    private String applyEmployeeName;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}