package cn.iocoder.yudao.module.bpm.controller.admin.oa.stamp.vo;

import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskRespVO;
import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import cn.iocoder.yudao.module.system.api.user.dto.AdminUserRespDTO;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 用印流程信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaStampRespVO {

    @Schema(description = "表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "18395")
    @ExcelProperty("表单主键")
    private Long id;

    @Schema(description = "用印申请人id", example = "7953")
    @ExcelProperty("用印申请人id")
    private Long employeeId;

    @Schema(description = "用印申请员工姓名", example = "芋艿")
    @ExcelProperty("用印申请员工姓名")
    private String employeeName;

    @Schema(description = "用印申请员工手机号")
    @ExcelProperty("用印申请员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "24136")
    @ExcelProperty("用户账号id")
    private Long userId;

    @Schema(description = "部门id", example = "30975")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门名称")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "员工职位")
    @ExcelProperty("员工职位")
    private String position;

    @Schema(description = "用印标题")
    @ExcelProperty("用印标题")
    private String stampTitle;

    @Schema(description = "印章id，多个用逗号分隔", example = "15927")
    @ExcelProperty("印章id集合")
    private List<Long> stampSealId;

    @Schema(description = "用印事由", example = "不好")
    @ExcelProperty("用印事由")
    private String reason;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "10738")
    @ExcelProperty("流程实例id")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "2")
    @ExcelProperty("审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）")
    private String auditStatus;

    @Schema(description = "当前审核人员工id", example = "31309")
    @ExcelProperty("当前审核人员工id")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工姓名", example = "芋艿")
    @ExcelProperty("当前审核人员工姓名")
    private String currentAuditEmployeeName;

    @Schema(description = "当前审核人用户id", example = "2555")
    @ExcelProperty("当前审核人用户id")
    private Long currentAuditUserId;

    @Schema(description = "最后审核时间")
    @ExcelProperty("最后审核时间")
    private LocalDateTime finalAuditDate;

    @Schema(description = "申请人员工id", example = "11188")
    @ExcelProperty("申请人员工id")
    private Long applyEmployeeId;

    @Schema(description = "申请人员工姓名", example = "张三")
    @ExcelProperty("申请人员工姓名")
    private String applyEmployeeName;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    @ExcelProperty("数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

    @Schema(description = "审批记录列表")
    private List<BpmTaskRespVO> auditRecordList;

    @Schema(description = "审批人员列表")
    private List<AdminUserRespDTO> auditUserList;

    @Schema(description = "当前用户待处理的任务id")
    private String taskId;

}