package cn.iocoder.yudao.module.bpm.controller.admin.stamp.stampinfo.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 用印信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaStampInfoRespVO {

    @Schema(description = "表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "16622")
    @ExcelProperty("表单主键")
    private Long id;

    @Schema(description = "uuid", example = "24566")
    @ExcelProperty("uuid")
    private String stampUuid;

    @Schema(description = "用印申请人id", example = "12863")
    @ExcelProperty("用印申请人id")
    private Long employeeId;

    @Schema(description = "用印申请人uuid", example = "2808")
    @ExcelProperty("用印申请人uuid")
    private String employeeUuid;

    @Schema(description = "用印申请员工姓名", example = "赵六")
    @ExcelProperty("用印申请员工姓名")
    private String employeeName;

    @Schema(description = "用印申请员工手机号")
    @ExcelProperty("用印申请员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "25125")
    @ExcelProperty("用户账号id")
    private Long userId;

    @Schema(description = "部门id", example = "23009")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门名称", example = "部门A")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "员工职位")
    @ExcelProperty("员工职位")
    private String position;

    @Schema(description = "用印标题")
    @ExcelProperty("用印标题")
    private String stampTitle;

    @Schema(description = "印章id，多个用逗号分隔", example = "24683")
    @ExcelProperty("印章id，多个用逗号分隔")
    private List<Long> stampSealId;

    @Schema(description = "用印事由", example = "不喜欢")
    @ExcelProperty("用印事由")
    private String reason;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "状态（0已完成、1已作废、2已生效）", example = "1")
    @ExcelProperty("状态（0已完成、1已作废、2已生效）")
    private String status;

    @Schema(description = "状态名称（0已完成、1已作废）", example = "1")
    @ExcelProperty("状态名称（0已完成、1已作废）")
    private String statusDesc;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    @ExcelProperty("数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "数据来源名称，0流程添加、1手动添加")
    @ExcelProperty("数据来源名称，0流程添加、1手动添加")
    private String infoSourceDesc;

    @Schema(description = "创建员工id", example = "27984")
    @ExcelProperty("创建员工id")
    private Long createEmployeeId;

    @Schema(description = "创建员工姓名", example = "创建员工姓名")
    @ExcelProperty("创建员工姓名")
    private String createEmployeeName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}