package cn.iocoder.yudao.module.bpm.dal.mysql.oa.turnover;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.turnover.vo.OaTurnoverPageReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.turnover.OaTurnoverDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 离职流程信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface OaTurnOverMapper extends BaseMapperX<OaTurnoverDO> {

    default PageResult<OaTurnoverDO> selectPage(OaTurnoverPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OaTurnoverDO>()
                .likeIfPresent(OaTurnoverDO::getEmployeeName, reqVO.getEmployeeName())
                .likeIfPresent(OaTurnoverDO::getEmployeePhone, reqVO.getEmployeePhone())
                .eqIfPresent(OaTurnoverDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(OaTurnoverDO::getPosition, reqVO.getPosition())
                .betweenIfPresent(OaTurnoverDO::getTurnoverDate, reqVO.getTurnoverDate())
                .eqIfPresent(OaTurnoverDO::getAuditStatus, reqVO.getAuditStatus())
                .likeIfPresent(OaTurnoverDO::getApplyEmployeeName, reqVO.getApplyEmployeeName())
                .betweenIfPresent(OaTurnoverDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(OaTurnoverDO::getId));
    }

}