package cn.iocoder.yudao.module.expense.controller.admin.expenseitem.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 报销费用项目信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ExpenseItemPageReqVO extends PageParam {

    @Schema(description = "报销类型主键id", example = "2556")
    private Long expenseTypeId;

    @Schema(description = "报销类型uuid", example = "14367")
    private String expenseTypeUuid;

    @Schema(description = "费用项目uuid", example = "10133")
    private String expenseItemUuid;

    @Schema(description = "费用项目", example = "芋艿")
    private String name;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}