package cn.iocoder.yudao.module.expense.controller.admin.expenseitem.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 报销费用项目信息新增/修改 Request VO")
@Data
public class ExpenseItemSaveReqVO {

    @Schema(description = "主键")
    private Long id;

    @Schema(description = "报销类型主键id")
    @NotNull(message = "报销类型主键id不能为空")
    private Long expenseTypeId;

    @Schema(description = "报销类型uuid")
    private String expenseTypeUuid;

    @Schema(description = "费用项目uuid")
    private String expenseItemUuid;

    @Schema(description = "费用项目")
    @NotBlank(message = "费用项目名称不能为空")
    private String name;

    @Schema(description = "备注")
    private String remarks;

}