package cn.iocoder.yudao.module.expense.dal.mysql.expensetype;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.expense.dal.dataobject.expensetype.ExpenseTypeDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.expense.controller.admin.expensetype.vo.*;

/**
 * 报销类型信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface ExpenseTypeMapper extends BaseMapperX<ExpenseTypeDO> {

    default PageResult<ExpenseTypeDO> selectPage(ExpenseTypePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ExpenseTypeDO>()
                .eqIfPresent(ExpenseTypeDO::getExpenseTypeUuid, reqVO.getExpenseTypeUuid())
                .likeIfPresent(ExpenseTypeDO::getName, reqVO.getName())
                .eqIfPresent(ExpenseTypeDO::getRemarks, reqVO.getRemarks())
                .betweenIfPresent(ExpenseTypeDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(ExpenseTypeDO::getId));
    }

}